FORMAX DEVELOPER API
  1. Bill Payment API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
      POST
    • Biller List
      POST
    • Bill Fetch
      POST
    • Bill Payment
      POST
    • Transaction Status
      POST
  • Bill Payment V4 API
    • Get All Billers
      GET
    • Get by Category
      GET
    • Get by Biller ID
      GET
    • Bill Fetch
      POST
    • Bill Validation
      POST
    • Bill Payment
      POST
    • Bill Payment Callback
    • Complaint Registration
      POST
    • Complaint Status
      POST
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • BC Money Transfer
    • Bank List
    • Search Remitter
    • Remitter Registration
    • Remitter Registration Verify
    • Remitter E-KYC
    • Transaction Send OTP
    • Transaction
    • Transaction Status
    • Transaction Refund OTP
    • Transaction Refund
  • UPI Cash Point
    • Generate QR
    • QR Status
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
    • Bank Account Verification
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  • AEPS
    • Bank List
    • Agent Registration
    • Agent E-KYC Status
    • Agent E-KYC
    • Two Factor Auth Status
    • Two Factor Auth
  1. Bill Payment API

Transaction Status

POST
https://api.formaxpay.com/api/bbps/v3/txn_status
This API is used to check the status of a BBPS bill payment transaction using the Formax order ID or Partner Order ID. It returns the final transaction status, wallet impact, and operator reference details.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.formaxpay.com/api/bbps/v3/txn_status' \
--header 'Authorization: Basic aXlrdmN4TTNVRjJoNmFwREJncWhGWFRDaUxMZ0hPVVk6cE9rZCE7ZGNVUjU3MDFjOw==' \
--header 'Content-Type: application/json' \
--data '{
    "order_id": "BP10498046875000HSKPT",
    "provider": "NEW_MBK"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "SUCCESS",
    "data": {
        "txn_status": "SUCCESS",
        "txn_description": "Transaction Successful",
        "order_id": "BP10498046875000HSKPT",
        "partner_order_id": "R001224450547902",
        "operator_id": 942,
        "operator_name": "1319",
        "optional5": "West Bengal Electricity Prepaid",
        "category": "Electricity",
        "number": "153079219",
        "amount": 100,
        "operator_ref_id": "MK016211BAAMLD4CW00R",
        "txn_type": "DR",
        "txn_amount": "98.50",
        "opening_bal": "237.70",
        "closing_bal": "139.20",
        "timestamp": "2026-07-30 21:44:11"
    }
}
Modified at 2026-07-30 16:35:44
Previous
Bill Payment
Next
Get All Billers
Built with